## neurodebian 0.37.2

=== Makefile ===
#WWW_UPLOAD_URI = neurodebian@neurodebian.ovgu.de:/home/neurodebian/www
WWW_UPLOAD_URI = ../../www
WWW_DIR = build/html/

WWW_UPLOAD_URI_STATIC=$(WWW_UPLOAD_URI)/_static

BIGMESS_OPTS = -c neurodebian.cfg
BIGMESS_CMD = PYTHONPATH=.:3rd/bigmess:$(PYTHONPATH) 3rd/bigmess/bin/bigmess
BIGMESS = $(BIGMESS_CMD) $(BIGMESS_OPTS)

# Lentghy one due to updatedb
all: updatedb upload-website mirmon
# Quick one -- just rebuilds html if new changes and adjusts the status of the mirrors
refresh: upload-website-stamp mirmon

website-build-depends:
	: # Python modules
	sudo apt-get install python-sphinx python-argparse python-xdg python-debian python-html5lib
	: # JavaScripts
	sudo apt-get install libjs-jquery-easing libjs-jquery-mousewheel libjs-jquery-fancybox


pics:
	$(MAKE) -C artwork


html: pics source
	rsync -rvlhpt sphinx/ build/src
	cd artwork;	cp button_w200.png logo_tuned/fmri_w200.png *-logo_h50.png ../build/src/_static; cd ..
	cp 3rd/jquery.livetwitter/jquery.livetwitter.min.js build/src/_static
	cp neurodebian.cfg build/src/_static
	cd build/src && $(MAKE) html BUILDDIR=$(CURDIR)/build 2>&1
	ln -fs /usr/share/javascript build/html/
	mv $(WWW_DIR)/_static/robots.txt $(WWW_DIR)/
	cp -r build/src/lists $(WWW_DIR)/
	cp -r sphinx/survey/2011/figures/* $(WWW_DIR)/_images/
	@echo "I: extracting header/trailer to be reused in non-sphinx pages"
	sed -ne '1,/<!-- HEADNOTES -->/p' $(WWW_DIR)/index.html >| $(WWW_DIR)/_static/index-header.ihtml
	sed -ne '/<h2>Comments<\/h2>/,$$p' $(WWW_DIR)/index.html >| $(WWW_DIR)/_static/index-trailer.ihtml

clean:
	-rm html-stamp source-stamp upload-website-stamp
	$(MAKE) -C artwork clean


distclean: clean
	-rm -rf build


source: source-stamp
source-stamp:
	mkdir -p build/src/pkgs/
	mkdir -p build/src/lists/
	mkdir -p build/src/_static/
	mkdir -p build/src/pkglists/
	$(BIGMESS) mkpkgs  -d build/src/pkgs/
	$(BIGMESS) mkaptcfgs -d build/src/lists/
	$(BIGMESS) mkmirrorsstat -d build/src
	$(BIGMESS) mkrepocfg > build/src/sources_lists
	$(BIGMESS) mkpkgtocs -d build/src/pkglists > build/src/pkgs.rst
	cp 3rd/nvd3/*.min.js build/src/_static/
	cp 3rd/nvd3/lib/d3*.min.js build/src/_static/
	cp 3rd/nvd3/src/nv*.css build/src/_static/
	touch $@

cachefiles:
	$(BIGMESS) cachefiles -f

updatedb: cachefiles
	$(BIGMESS) updatedb
	-rm source-stamp

upload-website: html
	rsync -rvzlhp --delete \
        --exclude=debian --exclude=debian-local --exclude=debian-devel --exclude=debian-custom --exclude=_files \
        --chmod=Dg+s,g+rw $(WWW_DIR) $(WWW_UPLOAD_URI)
	rsync -rvzlhp --chmod=Dg+s,g+rw tools/neurodebian-travis.sh $(WWW_UPLOAD_URI)/_files/
	: # Touch stamp here so we get it updated on every upload
	touch $@-stamp

# call upload iff .git/index was modified, i.e. new changes got pulled in
upload-website-stamp: .git/index
	$(MAKE) upload-website

mirmon:
	# update and generate mirrors report
	[ -x /usr/bin/mirmon ] && mirmon -q -get update -c mirmon-neurodebian.conf 2>&1 \
        | grep -v 'date: invalid date.*DOCTYPE' || :
	# [ -x $(WWW_UPLOAD_URI_STATIC)/mirrors-check.ihtml ] &&
	# everything must be in place!
	cat $(WWW_UPLOAD_URI_STATIC)/{index-header,mirrors-status,index-trailer}.ihtml \
	 >| $(WWW_UPLOAD_URI)/mirrors-status.html

.PHONY: removedb removecache cachefiles updatedb upload-website clean distclean pics html mirmon

=== survey/Makefile ===
all: index.html

clean:
	-rm *.html *.js *.txt

jquery.form.js:
	wget --no-check-certificate http://github.com/malsup/form/raw/master/jquery.form.js

#index.html: survey.rst
index.html: closed.rst
	rst2html --link-stylesheet --stylesheet-path=survey.css $< > $@

results.html: results.rst figures/stats.txt
	rst2html --link-stylesheet --stylesheet-path=survey.css results.rst > $@

results_snippet.html: results.html
	head -n$$(echo "$$(grep -n '</body>' < results.html | cut -d ':' -f 1,1) - 1" \
		| bc ) results.html \
		| tail -n$$(echo "$$(wc -l < results.html) - $$(grep -n '<body>' \
		< results.html | cut -d ':' -f 1,1) - 2" | bc ) > $@

figures/stats.txt: statfigures

statfigures: oslist.txt swlist.txt datamodlist.txt employer-dd-list.txt position-dd-list.txt ratingslist.txt vmlist.txt
# create "lockfile'
	@touch $@
	@[ "$$(cat nsubmissions.stamp 2>/dev/null || echo)" != "$$(ls -1 data |wc -l)" ] \
		&& echo "I: Re-generating stats figures" \
		&& ls -1 dataout |wc -l > nsubmissions.stamp \
		&& MVPA_MATPLOTLIB_BACKEND=agg ./makestats dataout figures || true
# remove lockfile
	@-rm $@

getdata:
	rsync -rvzlhp --delete \
		neurodebian@www.pymvpa.org:/home/neurodebian/survey/data .
	./postprocdata

oslist.txt: select_os_options.inc
	grep -v selected select_os_options.inc | sed -e 's/<option value="//' \
		-e 's/" label="/: "/' -e 's/">.*$$/"/' > $@

swlist.txt: survey.rst
	grep '"sw.*" value' survey.rst | sed -e 's/.*name="sw.*" value="//' -e 's," />,: ",' \
		-e 's,</td>$$,",' -e 's/ "$$/ "Other"/' > $@

vmlist.txt: survey.rst
	grep virt_prod survey.rst | sed -e 's/.*<input.*value="//' \
		-e 's," />,: ",' -e 's,<br />.*$$,,' -e 's/ "$$/ "Other VM"/' > $@

datamodlist.txt: survey.rst
	grep '"bg_datamod"' survey.rst | sed -e 's/.*name="bg_datamod" value="//' \
		-e 's," />,: ",' -e 's,<br />$$,",' -e 's/ "$$/ "Other"/' > $@

# Generic rule to extract from drop-down selections
%-dd-list.txt: survey.rst
	@echo "I: Extracting fields for $* into $@"
	@sed -n -e '/bg_$*/,/\/tr/p' survey.rst \
	| sed -ne '/option/s,.*value="\([^"]*\)" *label=\("[^"]*"\)>.*,\1: \2,gp' >| $@

ratingslist.txt: survey.rst
	@echo "I: Extracting fields for ratings into $@"
	@grep -B 6 -e 'radio.*_r.*value="3"' survey.rst \
	| grep -v -e '^\.\. raw' -e '^[ -]*$$' -e '<td' \
	| sed -e 's,.*name="\([^"]*\)" value.*,|\1#,g' \
	| tr '\n' ' ' \
	| sed -e 's,#,#\n,g' \
	| sed -e 's,\(.*\)|\(.*\)#,\2: "\1",g' >| $@

upload: upload-closed

upload-closed: index.html
	rsync -rvzlhp --delete  \
        --exclude='*.txt' --exclude=data --exclude=figures \
		--chmod=Dg+s,g+rw $^ neurodebian@www.pymvpa.org:/home/neurodebian/survey/
	ssh neurodebian@www.pymvpa.org rm /srv/neuro.debian.net/cgi-bin/surveycollector.cgi

upload-survey: index.html results.html results_snippet.html jquery.form.js survey.css surveycollector.cgi
	rsync -rvzlhp --delete  \
        --exclude='*.txt' --exclude=data --exclude='*.cgi' --exclude=figures \
		--chmod=Dg+s,g+rw $^ neurodebian@www.pymvpa.org:/home/neurodebian/survey/
	scp surveycollector.cgi neurodebian@www.pymvpa.org:/srv/neuro.debian.net/cgi-bin/

.PHONY: statfigures

=== debian/changelog ===
neurodebian (0.37.2) unstable; urgency=low

  [ Christian Perrier ]
  * [Debconf translation updates]
    - Danish (Joe Hansen).  Closes: #790342
    - German (Chris Leick).  Closes: #790489
    - Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #791471
    - Portuguese (Américo Monteiro).  Closes: #791547
    - French (Julien Patriarca).  Closes: #791559
    - Russian (Yuri Kozlov).  Closes: #791654

  [ Yaroslav Halchenko ]
  * Updated and renamed patch to add neurodebian-guest-additions package
    for neurodebian distribution.  Now will be provided for stretch as
    well

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 10 Jul 2015 13:11:41 -0400

neurodebian (0.37.1) unstable; urgency=medium

  * Do not override start-here.* icons of other themes with an alternative
    (Closes: #789916)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Jun 2015 12:32:28 -0400

neurodebian (0.37) unstable; urgency=medium

  * debian/control
    - boosted policy to 3.9.6
    - moved cowbuilder to Recommends (should overcome too strict
      dependency forbidding neurodebian reside in testing)
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project (Closes: #786448).
    Thanks to the team and Christian Perrier and Justin B Rye.
  * [Debconf translation updates]
    - added cs.po (Thanks Michal Simunek!) (Closes: #789695)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Jun 2015 23:58:32 -0400

neurodebian (0.36) neurodebian; urgency=low

  * xdg/Xresources/neurodebian
    - removed incorrectly prefixed comment
  * debian/control
    - neurodebian-desktop: we don't even use gnome in VM, so now prefer
      adwaita icon theme
  * debian/tools
    - nd-configurerepo: fix setting of NEURODEBIAN_UPDATE from the environment
  * vm/d-i/jessie
    - initiated work on updating VM to be based on jessie

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 26 Mar 2015 09:41:25 -0400

neurodebian (0.35) neurodebian; urgency=medium

  * debian/patches/jessie-dsc-patch symlink to the one for wheezy so
    we build guest additions for jessie VM
  * tools/nd* accounting for new and EOLed releases of Ubuntu
  * website:
    - new CN mirrors
  * brochure:
    - note docker images

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 09 Feb 2015 18:06:57 -0500

neurodebian (0.34) unstable; urgency=medium

  * Re-upload to Debian proper (Closes: #757279), addressing Debian
    ftpmaster concerns (Thanks Ansgar Burchardt for the thorough review
    and suggestions)
  * debian/control
    - neurodebian-guest-additions:
      - this binary package will be built ONLY for the NeuroDebian wheezy,
        and that is why was removed from the stock debian/control
      - moved virtualbox-guest* dependencies into Depends (from
        Pre-Depends), and stripping deprecated -ose suffix
      - dropped depends on elderly gdm, now lightdm or any x-display-manager
      - fixing package names for chromium, and removing update-manager-gnome
        N/A in sid
    - neurodebian
      - moved wget, python to Depends from Pre-Depends
  * debian/neurodebian-popularity-contest.*
    - .postinst  should try to remove old-fashion popcon entry only if
      upgrading/configuring from pre 0.33 version of neurodebian-*
    - .postrm  removed altogether since will not longer be needed because
      popcon configuration gets installed as a config file now
  * tools/nd-configurerepo
    - use long GPG key id
    - unify prefix for environment variables to be NEURODEBIAN_ instead of
      more cryptic ND_AE_
  * tools/neurodebian.{preinst,templates,config}
    - add an explicit question either NeuroDebian APT configuration should
      be installed (i.e. NeuroDebian repository being enabled). debconf
      default/value could be overridden from the environment using
      NEURODEBIAN_ENABLE.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Aug 2014 13:43:13 -0400

neurodebian (0.33) UNRELEASED; urgency=medium

  * Initial (rejected) upload to Debian proper
  * Support popularity-contest >= 1.61 encrypting submissions:
    - provide GPG public key for encryption of submissions
  * Updated list of currently supported Ubuntu releases
  * New features:
    - neurodebian and neurodebian packages to provide 1-click
      NeuroDebian deployment on Debian/Ubuntu boxes
  * Breakage of "compatibility":
    - do not install sphinx sources

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Aug 2014 16:29:40 -0400

neurodebian (0.32) neurodebian; urgency=low

  [ Michael Hanke ]
  * complete redesign of the website, now based on modularized-away bigmess

  [ Yaroslav Halchenko ]
  * nd_* tools:
    - cmdsettings.sh: drop building for EOLed hardy, add raring
    - vmsetupvizard: install all ipython frontends (notebook, qtconsole)
      for recent versions of ipython
  * bulk of other changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Nov 2013 16:30:46 -0400

neurodebian (0.31) neurodebian; urgency=low

  * debian/copyright:
    - adjusted for dep5 v1.0. compliance
  * website:
    - updated URL of the Magdeburg mirror
    - more testimonials, derivatives information
  * VM (6.999.b4.20121231):
    - small fixes (cleanup etc)
  * nd_* tools:
    - backport-dsc: assure adding log entries to freshly created changelog
      entry
    - removed karmic, maverick and natty from build targets -- their support
      ended

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Mar 2013 20:41:56 -0400

neurodebian (0.30) neurodebian; urgency=low

  * Preparing a new VM image (6.999.b4.20121206) - based on upcoming wheezy
    release's beta4
    - uses XFCE4 instead of Gnome(3) -- Depends on gdm | lightdm now,
      uses urxvt as the default xterm
    - nd-vmsetupwizard: extended list of topic choices
    - vm/tools (with contributions from Tiziano Zito)
      - does not require external webserver (uses Python's standard)


=== debian/control ===
Source: neurodebian
Section: science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), xcftools, help2man, inkscape, imagemagick, python-html5lib, po-debconf
Standards-Version: 3.9.6
Homepage: http://neuro.debian.net
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/neurodebian.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/neurodebian.git

Package: neurodebian
Architecture: all
Depends: python, wget, neurodebian-archive-keyring, ${misc:Depends}
Recommends: netselect
Suggests: neurodebian-desktop, neurodebian-popularity-contest
Description: neuroscience-oriented distribution - repository configuration
 The NeuroDebian project integrates and maintains a variety of software
 projects within Debian that are useful for neuroscience (such as AFNI,
 FSL, PsychoPy, etc.) or generic computation (such as HTCondor,
 pandas, etc.).
 .
 This package enables the NeuroDebian repository on top of a standard
 Debian or Ubuntu system.


Package: neurodebian-dev
Architecture: all
Depends: ${misc:Depends}, devscripts, neurodebian-archive-keyring
Recommends: python, zerofree, moreutils, time, ubuntu-keyring, debian-archive-keyring, apt-utils, cowbuilder
Suggests: virtualbox-ose, virtualbox-ose-fuse
Description: neuroscience-oriented distribution - development tools
 The NeuroDebian project integrates and maintains a variety of software
 projects within Debian that are useful for neuroscience (such as AFNI,
 FSL, PsychoPy, etc.) or generic computation (such as HTCondor,
 pandas, etc.).
 .
 This package provides sources and development tools used by
 NeuroDebian to provide backports for a range of Debian/Ubuntu
 releases.


Package: neurodebian-desktop
Architecture: all
Depends: ${misc:Depends}, ssh-askpass-gnome | ssh-askpass, desktop-base,
         adwaita-icon-theme | gnome-icon-theme,
         neurodebian-popularity-contest
Suggests:
Description: neuroscience-oriented distribution - desktop integration
 The NeuroDebian project integrates and maintains a variety of software
 projects within Debian that are useful for neuroscience (such as AFNI,
 FSL, PsychoPy, etc.) or generic computation (such as HTCondor,
 pandas, etc.).
 .
 This package provides NeuroDebian artwork (icons, background image)
 and a NeuroDebian menu featuring the most popular neuroscience tools,
 which will be automatically installed upon initial invocation.


Package: neurodebian-archive-keyring
Architecture: all
Depends: ${misc:Depends}
Replaces: neurodebian-keyring (<< 0.34~)
Breaks: neurodebian-keyring (<< 0.34~)
Description: neuroscience-oriented distribution - GnuPG archive keys
 The NeuroDebian project integrates and maintains a variety of software
 projects within Debian that are useful for neuroscience (such as AFNI,
 FSL, PsychoPy, etc.) or generic computation (such as HTCondor,
 pandas, etc.).
 .
 The NeuroDebian project digitally signs its Release files. This package
 contains the archive keys used for that.

Package: neurodebian-popularity-contest
Architecture: all
Depends: ${misc:Depends}, popularity-contest
Description: neuroscience-oriented distribution - popcon integration
 The NeuroDebian project integrates and maintains a variety of software
 projects within Debian that are useful for neuroscience (such as AFNI,
 FSL, PsychoPy, etc.) or generic computation (such as HTCondor,
 pandas, etc.).
 .
 This package is a complement to the generic popularity-contest
 package to enable anonymous submission of usage statistics to
 NeuroDebian in addition to the popcon submissions to the underlying
 distribution (either Debian or Ubuntu) popcon server.
 .
 Participating in popcon is important for the following reasons:
  * Popular packages receive more attention from developers; bugs are
    fixed faster and updates are provided quicker.
  * It ensures that support is not dropped for a previous release of
    Debian or Ubuntu while there are active users.
  * User statistics may be useful for upstream research software
    developers seeking funding for continued development.
 .
 This requires that popcon is activated for the underlying distribution
 (Debian or Ubuntu), which can be achieved by running
 "dpkg-reconfigure popularity-contest" as root.

=== debian/rules ===
#!/usr/bin/make -f

ICONS_SIZE=32

# one ring to rule them all ...
%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build::
	# wallpaper
	[ ! -d build/wallpaper ] && mkdir -p build/wallpaper
	xcf2png -o build/wallpaper/neurodebian.png artwork/wallpaper_hotbrain.xcf
	# icons
	[ ! -d build/icons ] && mkdir -p build/icons
	inkscape artwork/icon.svg -w $(ICONS_SIZE) -h $(ICONS_SIZE) \
		-e build/icons/neurodebian.png
	for d in electrophysiology psychophysics; do \
		inkscape artwork/$$d.svg -w $(ICONS_SIZE) -h $(ICONS_SIZE) \
			-e build/icons/neurodebian-$$d.png; done
	cp artwork/icon.svg build/icons/neurodebian.svg
	convert -geometry $(ICONS_SIZE)x$(ICONS_SIZE) artwork/mri.png build/icons/neurodebian-imaging.png
	# manpages
	[ ! -d build/man ] && mkdir -p build/man
	help2man -h '--verbose-help' --no-info tools/backport-dsc \
		-n "backport Debian source packages" > build/man/backport-dsc.1
	help2man --no-info tools/nd-autoinstall \
		-n "install (if necessary) and run an application" > build/man/nd-autoinstall.1
	help2man --no-info tools/nd-configurerepo \
		-n "configure APT to use NeuroDebian repository" > build/man/nd-configurerepo.1

override_dh_auto_install::

override_dh_auto_test::

override_dh_clean:
	debconf-updatepo
	dh_clean
	$(MAKE) -C artwork clean

## neurodebian 0.37.2ubuntu1

=== artwork/Makefile ===
all:: pics

SVGIS=$(shell /bin/ls *.svgtune | sed -e 's/.svgtune/_tuned/g')
ICONSIZED=ccn-logo_h50.png uni-md-logo_h50.png dartmouth-logo_h50.png

pics: $(SVGIS) $(ICONSIZED)

clean::
	for p in *.svg; do [ "$$p" = ndhackergotchi.svg ] || rm -f $${p%*.svg}.{pdf,eps,png}; done
	rm -rf *_tuned
	rm -f  $(ICONSIZED)

ignore-%:
	@grep -q "^$*$$" .gitignore || { \
	  echo "$*" >> .gitignore; echo "Ignore $@"; }

%_tuned: %.svgtune ignore-%_tuned
	@echo "Splitting SVG using $<"
	@svgtune $<

%.pdf: %.svg ignore-%.pdf
	@echo "Rendering $@"
	@inkscape -z -f "$<" -A "$@"

%.png: %.svg ignore-%.png
	@echo "Rendering $@"
	@inkscape -z -f "$<" -e "$@" -d 150

%_w200.png: %.svg ignore-%_w200.png
	@echo "Rendering $@"
	@inkscape -z -f "$<" -e "$@" -w 200

# icon sized versions
%_h50.png: %.png ignore-%_h50.png
	@echo "Generating downscaled $@"
	@convert -geometry x50 "$<" "$@"

# Some enforced conversions to overcome problems with transparency issues
# in PDFs
all:: logo_tuned/fmri_w200.png button_w200.png


.PHONY: all pics

=== debian/changelog ===
neurodebian (0.37.2ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <brian@ubuntu.com>  Wed, 11 Jul 2018 11:21:29 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: neurodebian
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~), xcftools, help2man, inkscape, imagemagick, python-html5lib, po-debconf
 Standards-Version: 3.9.6

## neurodebian 0.37.5

=== debian/changelog ===
neurodebian (0.37.5) unstable; urgency=medium

  * debian/control
    - -keyring pkg depends now on some gnupg version and dirmngr
      (Closes: #837085)
    - -desktop now recommends reportbug-ng (Closes: #795672)
    - boosted policy to 3.9.8
  * vm/d-i/*/initial_setup
    - replaced short key id 16BA136C with a long one (Closes: #836545)
  * added debian/po/sv.po - thanks Jonatan Nyberg (Closes: #822111)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 10 Sep 2016 22:58:06 -0400

neurodebian (0.37.4) unstable; urgency=medium

  * Fixed Exec for FSL's .desktop file and added .desktop for
    connectome-workbench

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 02 Mar 2016 08:59:38 -0500

neurodebian (0.37.3) unstable; urgency=medium

  * Updated desktop files for FSL to follow 5.x now (Thanks Bennet Fauber)
  * Includes info on wily 15.04 Ubuntu release
  * [Debconf translation updates]
    - Dutch (Frans Spiesschaert). Closes: #798833

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 28 Feb 2016 12:23:15 -0500

## neurodebian 0.37.6

=== sandbox/Makefile ===
all: 2012-02-08_comp_neurosci_ubuntu_live_usb.html
%.html: %.rst
	rst2html $< $@

=== artwork/brochure/Makefile ===
# Unfortunately leads to the recursion
#DEPENDS=pics

# So just call 'make pics' first or whenever figures need to be
# regenerated

include LaTeX.mk

.PHONY: pics
pics:
	@$(MAKE) -C ../ logo_tuned/label.pdf openlogo.pdf distro-dev.pdf openlogo-vsop.pdf

# Can't be used as is since .gitignore would be searched for in this
# directory
# %.pdf: %.svg @$(MAKE) -f ../Makefile $@

=== debian/changelog ===
neurodebian (0.37.6) unstable; urgency=medium

  * Switch to use interest-noawait for neurodebian-desktop.trigger
    to avoid a circular deadlock (Closes: #858920)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 Mar 2017 13:53:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: neurodebian
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~), xcftools, help2man, inkscape, imagemagick, python-html5lib, po-debconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://neuro.debian.net
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/neurodebian.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/neurodebian.git
@@ -45,7 +44,9 @@
 Architecture: all
 Depends: ${misc:Depends}, ssh-askpass-gnome | ssh-askpass, desktop-base,
          adwaita-icon-theme | gnome-icon-theme,
-         neurodebian-popularity-contest
+         neurodebian-popularity-contest,
+Recommends:
+         reportbug-ng,
 Suggests:
 Description: neuroscience-oriented distribution - desktop integration
  The NeuroDebian project integrates and maintains a variety of software
@@ -60,7 +61,7 @@
 
 Package: neurodebian-archive-keyring
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, gnupg2 | gnupg, dirmngr
 Replaces: neurodebian-keyring (<< 0.34~)
 Breaks: neurodebian-keyring (<< 0.34~)
 Description: neuroscience-oriented distribution - GnuPG archive keys

## neurodebian 0.38.2

=== debian/changelog ===
neurodebian (0.38.2) unstable; urgency=medium

  * nd_freeze:
    - remove apt lists files if there were none to start with
    - by default now would downgrade already installed packages to the state
      of them in snapshots.  Use --no-downgrade or -n to disable
    - --keep-apt-sources or -k  replaced longer --keep-original-apt-sources

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 18 Nov 2018 21:35:11 -0500

neurodebian (0.38.1) unstable; urgency=medium

  * Make ubuntu-keyring only list in Ubuntu (and its derivatives

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Nov 2018 23:50:07 -0500

neurodebian (0.38.0) neurodebian; urgency=medium

  * New features
    - nd_freeze (alpha stage) script to be used to "freeze" Debian/NeuroDebian
      APT sources to use Debian/NeuroDebian snapshots repository.
      It is provided within minimal neurodebian-freeze package so it could
      be installed by default on lean base Docker/Singularity images
  * singularity/ - configuration(s) for Singularity images to be build on
    singularity-hub.org
  * Various updates to account for new Debian/Ubuntu releases
  * debian/compat - boosted to 9 from 7

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 07 Nov 2018 10:44:41 -0500

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), xcftools, help2man, inkscape, imagemagick, python-html5lib, po-debconf
+Build-Depends: debhelper (>= 9~), xcftools, help2man, inkscape, imagemagick, python-html5lib, po-debconf
 Standards-Version: 3.9.8
 Homepage: http://neuro.debian.net
-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/neurodebian.git
-Vcs-Git: git://git.debian.org/git/pkg-exppsy/neurodebian.git
+Vcs-Git: https://salsa.debian.org/neurodebian-team/neurodebian.git
 
 Package: neurodebian
 Architecture: all
@@ -27,8 +26,11 @@
 Package: neurodebian-dev
 Architecture: all
 Depends: ${misc:Depends}, devscripts, neurodebian-archive-keyring
-Recommends: python, zerofree, moreutils, time, ubuntu-keyring, debian-archive-keyring, apt-utils, cowbuilder
-Suggests: virtualbox-ose, virtualbox-ose-fuse
+Recommends: ${misc:Recommends},
+ python, zerofree, moreutils, time,
+ debian-archive-keyring, apt-utils, cowbuilder,
+ neurodebian-freeze,
+Suggests: virtualbox-ose, virtualbox-ose-fuse, singularity-container
 Description: neuroscience-oriented distribution - development tools
  The NeuroDebian project integrates and maintains a variety of software
  projects within Debian that are useful for neuroscience (such as AFNI,
@@ -73,6 +75,22 @@
  The NeuroDebian project digitally signs its Release files. This package
  contains the archive keys used for that.
 
+
+Package: neurodebian-freeze
+Architecture: all
+Depends: ${misc:Depends},
+Description: nd_freeze tool to freeze APT sources to use snapshots
+ The NeuroDebian project integrates and maintains a variety of software
+ projects within Debian that are useful for neuroscience (such as AFNI,
+ FSL, PsychoPy, etc.) or generic computation (such as HTCondor,
+ pandas, etc.).
+ .
+ This minimalistic package provides nd_freeze script to be used in
+ rich or minimalistic environments (such as Docker or Singularity 
+ recipes) to freeze their APT sources.  Intended to assist making such
+ images reproducible.
+
+
 Package: neurodebian-popularity-contest
 Architecture: all
 Depends: ${misc:Depends}, popularity-contest

## neurodebian 0.38.3

=== debian/changelog ===
neurodebian (0.38.3) unstable; urgency=medium

  * nd_freeze:
    - got -h|--help, --debug command line options
    - improved information output about ongoing actions
    - now handles backports correctly 
    - switched sources discovery from apt-cache to analysis of *Release files

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Feb 2019 20:37:10 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,25 @@
 #!/usr/bin/make -f
 
 ICONS_SIZE=32
+
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	KEYRING_PKG = -Vdist:Recommends="ubuntu-keyring"
+else
+	SUBSTVARS = -Vdist:Depends="bar"
+endif
 
 # one ring to rule them all ...
 %:
 	dh $@
 
+override_dh_gencontrol:
+	if dpkg-vendor --derives-from Ubuntu; then \
+		echo 'misc:Recommends=ubuntu-keyring' >> debian/neurodebian-dev.substvars; fi
+	dh_gencontrol
+
 override_dh_auto_configure:
 
-override_dh_auto_build::
+override_dh_auto_build:
 	# wallpaper
 	[ ! -d build/wallpaper ] && mkdir -p build/wallpaper
 	xcf2png -o build/wallpaper/neurodebian.png artwork/wallpaper_hotbrain.xcf
@@ -30,9 +41,14 @@
 	help2man --no-info tools/nd-configurerepo \
 		-n "configure APT to use NeuroDebian repository" > build/man/nd-configurerepo.1
 
-override_dh_auto_install::
+override_dh_auto_install:
 
-override_dh_auto_test::
+override_dh_auto_test:
+
+override_dh_install:
+	dh_install
+	# shipped in a dedicated neurodebian-freeze package
+	rm -f  debian/neurodebian-dev/usr/bin/nd_freeze
 
 override_dh_clean:
 	debconf-updatepo

## neurodebian 0.38.3+nmu1

=== debian/changelog ===
neurodebian (0.38.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:19:47 +0800

## neurodebian 0.39.0

=== debian/changelog ===
neurodebian (0.39.0) unstable; urgency=medium

  * nd_freeze:
    - fix it up to work with the migrated snapshot-neuro.debian.net
      (no custom port, no need for knocking)
    - test fixed up to not use EOLed wheezey (use stretch instead)
  * misc minor needed changes
    - remove EOLed releases of Ubuntu
    - fix up USTC mirror URL (was migrated years back)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 22 Apr 2019 11:45:04 -0400

## neurodebian 0.40.1

=== debian/changelog ===
neurodebian (0.40.1) unstable; urgency=medium

  * Be compatible with inkscape >= 1.0~rc1 which changed -e into -o.
    (Closes: #959575)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 May 2020 11:07:11 -0400

neurodebian (0.40.0) unstable; urgency=medium

  * Tests of nd_freeze got fixed up to account for changes in
    current state of stable distributions
  * Elderly survey/ was removed
  * All Python scripts migrated to python3 (only)
  * debian/control: depend/recommend python3 instead of python

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Mar 2020 23:17:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,30 @@
 Source: neurodebian
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Uploaders: Michael Hanke <mih@debian.org>,
+           Yaroslav Halchenko <debian@onerussian.com>
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 9~), xcftools, help2man, inkscape, imagemagick, python-html5lib, po-debconf
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9~),
+               xcftools,
+               help2man,
+               inkscape,
+               imagemagick,
+               python3-html5lib,
+               po-debconf
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/neurodebian-team/neurodebian
+Vcs-Git: https://salsa.debian.org/neurodebian-team/neurodebian.git
 Homepage: http://neuro.debian.net
-Vcs-Git: https://salsa.debian.org/neurodebian-team/neurodebian.git
 
 Package: neurodebian
 Architecture: all
-Depends: python, wget, neurodebian-archive-keyring, ${misc:Depends}
+Depends: python3,
+         wget,
+         neurodebian-archive-keyring,
+         ${misc:Depends}
 Recommends: netselect
-Suggests: neurodebian-desktop, neurodebian-popularity-contest
+Suggests: neurodebian-desktop,
+          neurodebian-popularity-contest
 Description: neuroscience-oriented distribution - repository configuration
  The NeuroDebian project integrates and maintains a variety of software
  projects within Debian that are useful for neuroscience (such as AFNI,
@@ -22,15 +34,23 @@
  This package enables the NeuroDebian repository on top of a standard
  Debian or Ubuntu system.
 
-
 Package: neurodebian-dev
 Architecture: all
-Depends: ${misc:Depends}, devscripts, neurodebian-archive-keyring
+Depends: ${misc:Depends},
+         devscripts,
+         neurodebian-archive-keyring
 Recommends: ${misc:Recommends},
- python, zerofree, moreutils, time,
- debian-archive-keyring, apt-utils, cowbuilder,
- neurodebian-freeze,
-Suggests: virtualbox-ose, virtualbox-ose-fuse, singularity-container
+            python3,
+            zerofree,
+            moreutils,
+            time,
+            debian-archive-keyring,
+            apt-utils,
+            cowbuilder,
+            neurodebian-freeze
+Suggests: virtualbox-ose,
+          virtualbox-ose-fuse,
+          singularity-container
 Description: neuroscience-oriented distribution - development tools
  The NeuroDebian project integrates and maintains a variety of software
  projects within Debian that are useful for neuroscience (such as AFNI,
@@ -41,15 +61,14 @@
  NeuroDebian to provide backports for a range of Debian/Ubuntu
  releases.
 
-
 Package: neurodebian-desktop
 Architecture: all
-Depends: ${misc:Depends}, ssh-askpass-gnome | ssh-askpass, desktop-base,
+Depends: ${misc:Depends},
+         ssh-askpass-gnome | ssh-askpass,
+         desktop-base,
          adwaita-icon-theme | gnome-icon-theme,
-         neurodebian-popularity-contest,
-Recommends:
-         reportbug-ng,
-Suggests:
+         neurodebian-popularity-contest
+Recommends: reportbug-ng
 Description: neuroscience-oriented distribution - desktop integration
  The NeuroDebian project integrates and maintains a variety of software
  projects within Debian that are useful for neuroscience (such as AFNI,
@@ -60,12 +79,13 @@
  and a NeuroDebian menu featuring the most popular neuroscience tools,
  which will be automatically installed upon initial invocation.
 
-
 Package: neurodebian-archive-keyring
 Architecture: all
-Depends: ${misc:Depends}, gnupg2 | gnupg, dirmngr
+Depends: ${misc:Depends},
+         gnupg2 | gnupg,
+         dirmngr
+Breaks: neurodebian-keyring (<< 0.34~)
 Replaces: neurodebian-keyring (<< 0.34~)
-Breaks: neurodebian-keyring (<< 0.34~)
 Description: neuroscience-oriented distribution - GnuPG archive keys
  The NeuroDebian project integrates and maintains a variety of software
  projects within Debian that are useful for neuroscience (such as AFNI,
@@ -75,10 +95,9 @@
  The NeuroDebian project digitally signs its Release files. This package
  contains the archive keys used for that.
 
-
 Package: neurodebian-freeze
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: nd_freeze tool to freeze APT sources to use snapshots
  The NeuroDebian project integrates and maintains a variety of software
  projects within Debian that are useful for neuroscience (such as AFNI,
@@ -90,10 +109,10 @@
  recipes) to freeze their APT sources.  Intended to assist making such
  images reproducible.
 
-
 Package: neurodebian-popularity-contest
 Architecture: all
-Depends: ${misc:Depends}, popularity-contest
+Depends: ${misc:Depends},
+         popularity-contest
 Description: neuroscience-oriented distribution - popcon integration
  The NeuroDebian project integrates and maintains a variety of software
  projects within Debian that are useful for neuroscience (such as AFNI,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 ICONS_SIZE=32
+INKSCAPE_VER=$(shell dpkg -l inkscape | awk '/^ii/{print $$3;}')
+INKSCAPE_OUT_OPT=$(shell dpkg --compare-versions "$(INKSCAPE_VER)" lt "1.0~rc1"  && echo "-e" || echo "-o")
 
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
 	KEYRING_PKG = -Vdist:Recommends="ubuntu-keyring"
@@ -21,19 +23,19 @@
 
 override_dh_auto_build:
 	# wallpaper
-	[ ! -d build/wallpaper ] && mkdir -p build/wallpaper
+	mkdir -p build/wallpaper
 	xcf2png -o build/wallpaper/neurodebian.png artwork/wallpaper_hotbrain.xcf
 	# icons
-	[ ! -d build/icons ] && mkdir -p build/icons
+	mkdir -p build/icons
 	inkscape artwork/icon.svg -w $(ICONS_SIZE) -h $(ICONS_SIZE) \
-		-e build/icons/neurodebian.png
+		$(INKSCAPE_OUT_OPT) build/icons/neurodebian.png
 	for d in electrophysiology psychophysics; do \
 		inkscape artwork/$$d.svg -w $(ICONS_SIZE) -h $(ICONS_SIZE) \
-			-e build/icons/neurodebian-$$d.png; done
+			$(INKSCAPE_OUT_OPT) build/icons/neurodebian-$$d.png; done
 	cp artwork/icon.svg build/icons/neurodebian.svg
 	convert -geometry $(ICONS_SIZE)x$(ICONS_SIZE) artwork/mri.png build/icons/neurodebian-imaging.png
 	# manpages
-	[ ! -d build/man ] && mkdir -p build/man
+	mkdir -p build/man
 	help2man -h '--verbose-help' --no-info tools/backport-dsc \
 		-n "backport Debian source packages" > build/man/backport-dsc.1
 	help2man --no-info tools/nd-autoinstall \

## neurodebian 0.41.0

=== debian/changelog ===
neurodebian (0.41.0) unstable; urgency=medium

  [ Juhani Numminen ]
  * Replace xcf2png (xcftools) with convert (imagemagick). (Closes: #982503)

  [ Yaroslav Halchenko ]
  * Python3 and recent sphinx compatibility fixes throughout helper scripts
  * Fixed up elderly sphinx/blog/2011/2011-12-12_schroot_fslview.rst to
    point to squeeze not stable. Thanks Paul Wise for the attention to detail
    (Closes: #972742)
  * debian/po/sv.po - minor updates. Thanks Jonatan Nyberg
    (Closes: #855392, #925492) - took version of #925492

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Feb 2021 22:04:45 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9~),
-               xcftools,
                help2man,
                inkscape,
                imagemagick,

## neurodebian 0.41.1

=== debian/changelog ===
neurodebian (0.41.1) unstable; urgency=medium

  * Minor changes: use another gpg server, update for EOLed releases.
  * Release prompted by adding arm64 architecture to NeuroDebian archive
    and building docker images for it
    (https://github.com/docker-library/official-images/pull/12820)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Jul 2022 16:34:28 -0400

## neurodebian 0.41.1+nmu1

=== debian/changelog ===
neurodebian (0.41.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1020306)

 -- Paul Gevers <elbrus@debian.org>  Mon, 19 Sep 2022 21:00:44 +0200

## neurodebian 0.41.2

=== debian/changelog ===
neurodebian (0.41.2) unstable; urgency=medium

  * Minor fixs to nd_freeze:
    - handle 302 from archive, not only 301
    - to operate correctly whenever package is available also from main 
      repository not only snapshots

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 17 Oct 2022 19:38:15 -0400

## neurodebian 0.41.2+nmu1

=== debian/changelog ===
neurodebian (0.41.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debconf translators to debian/copyright.
  * Add Spanish Debconf translations.
    Thanks Camaleón. (Closes: #987476)

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 24 Feb 2023 17:12:31 +0100

## neurodebian 0.42.1

=== debian/changelog ===
neurodebian (0.42.1) unstable; urgency=medium

  * Re-introduced changes/changelog of 0.41.2+nmu1 which was "overriden".
    Thanks Camaleón for that contribution and the buzz about my unfortunate
    removal of that NMU (Closes: #987476)
  * nd-configurerepo would also try now to deduce release from
    os-release and lsb_release -- could robustify operation even further
    on derivatives and APT "forks".
  * popcon: do not augment popcon variables in
    /etc/popularity-contest.d/neurodebian.conf
    if .gpg key for popcon is not found, as in the case when package was
    removed but not purged (Closes: #1031781)
  * d/control
    - switch VCS fields to point to github since that is where we primarily
      keep it under VCS
    - boost debhelper compat from 9 to 12 (did not change anything)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Sep 2023 13:26:50 -0400

neurodebian (0.42.0) unstable; urgency=medium

  * Add new Debian and Ubuntu releases into the registry of "known"
  * Fix ups to Makefile and various configs etc for changes in Python
    libraries, sphinx, and inkscape CLI.
  * Fixed up nd-configurerepo for operating on GitHub actions after
    they switched to some custom rebuild of ubuntu archive labeled as
    microsoft-ubuntu-jammy-prod

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 25 Aug 2023 19:09:45 -0400

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 override_dh_auto_build:
 	# wallpaper
 	mkdir -p build/wallpaper
-	xcf2png -o build/wallpaper/neurodebian.png artwork/wallpaper_hotbrain.xcf
+	convert -layers merge artwork/wallpaper_hotbrain.xcf build/wallpaper/neurodebian.png
 	# icons
 	mkdir -p build/icons
 	inkscape artwork/icon.svg -w $(ICONS_SIZE) -h $(ICONS_SIZE) \

## neurodebian 0.42.2

=== debian/changelog ===
neurodebian (0.42.2) unstable; urgency=medium

  * Added nd24.04 (ubuntu noble)
  * Fixed nd_freeze regex to handle redirects now with "the".
    Added more debugging information. Should largely address
    https://github.com/neurodebian/neurodebian/issues/80

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 05 Aug 2024 18:30:18 -0400

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
            Yaroslav Halchenko <debian@onerussian.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 12~),
                help2man,
                inkscape,
                imagemagick,
                python3-html5lib,
                po-debconf
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/neurodebian-team/neurodebian
-Vcs-Git: https://salsa.debian.org/neurodebian-team/neurodebian.git
+Vcs-Browser: http://github.com/neurodebian/neurodebian
+Vcs-Git: http://github.com/neurodebian/neurodebian
 Homepage: http://neuro.debian.net
 
 Package: neurodebian

## neurodebian 0.42.3

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 BIGMESS_CMD = PYTHONPATH=.:3rd/bigmess:$(PYTHONPATH) 3rd/bigmess/bin/bigmess
 BIGMESS = $(BIGMESS_CMD) $(BIGMESS_OPTS)
 
-# Lentghy one due to updatedb
+# Lengthy one due to updatedb
 all: updatedb upload-website mirmon
 # Quick one -- just rebuilds html if new changes and adjusts the status of the mirrors
 refresh: upload-website-stamp mirmon
@@ -78,7 +78,7 @@
 	: # Touch stamp here so we get it updated on every upload
 	touch $@-stamp
 
-# call upload iff .git/index was modified, i.e. new changes got pulled in
+# call upload if .git/index was modified, i.e. new changes got pulled in
 upload-website-stamp: .git/index
 	$(MAKE) upload-website

=== artwork/Makefile ===
--- 
+++ 
@@ -20,15 +20,18 @@
 
 %.pdf: %.svg ignore-%.pdf
 	@echo "Rendering $@"
-	@inkscape -z -f "$<" -A "$@"
+	# @inkscape -z -f "$<" -A "$@"
+	@inkscape "$<" --export-filename="$@"
 
 %.png: %.svg ignore-%.png
 	@echo "Rendering $@"
-	@inkscape -z -f "$<" -e "$@" -d 150
+	# @inkscape -z -f "$<" -e "$@" -d 150
+	@inkscape "$<" --export-filename="$@" --export-dpi=150
 
 %_w200.png: %.svg ignore-%_w200.png
 	@echo "Rendering $@"
-	@inkscape -z -f "$<" -e "$@" -w 200
+	# @inkscape -z -f "$<" -e "$@" -w 200
+	@inkscape "$<" --export-filename="$@" -w 200
 
 # icon sized versions
 %_h50.png: %.png ignore-%_h50.png

=== sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# target directory
BUILDDIR = _build

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	mkdir -p $(BUILDDIR)/html $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

pickle:
	mkdir -p $(BUILDDIR)/pickle $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p $(BUILDDIR)/json $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p $(BUILDDIR)/htmlhelp $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex:
	mkdir -p $(BUILDDIR)/latex $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p $(BUILDDIR)/changes $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	mkdir -p $(BUILDDIR)/linkcheck $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

=== debian/changelog ===
neurodebian (0.42.3) unstable; urgency=medium

  * neurodebian-archive-keyring:  Provide a new RSA archive key in
    addition (for compat with elderly systems) to elderly systems.
    Newer archives are dual-signed. Older one will be deprecated in a bit.
  * minor other compatibility issues addressed in the website.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Aug 2025 13:24:21 -0400

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                help2man,
                inkscape,
                imagemagick,
+               gpg,
                python3-html5lib,
-               po-debconf
+               po-debconf,
 Standards-Version: 4.5.0
 Vcs-Browser: http://github.com/neurodebian/neurodebian
 Vcs-Git: http://github.com/neurodebian/neurodebian

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,8 @@
 		-n "install (if necessary) and run an application" > build/man/nd-autoinstall.1
 	help2man --no-info tools/nd-configurerepo \
 		-n "configure APT to use NeuroDebian repository" > build/man/nd-configurerepo.1
+	# export keyring as ascii for /etc
+	gpg --no-default-keyring --keyring keys/neurodebian-archive-keyring.gpg --armor --export > keys/neurodebian-archive-keyring.asc
 
 override_dh_auto_install:
 
@@ -56,3 +58,4 @@
 	debconf-updatepo
 	dh_clean
 	$(MAKE) -C artwork clean
+	-rm -f keys/neurodebian-archive-keyring.asc
